

global maindir ="xxxx"

do "$maindir/do/0_Initialize.do"

global outfolder="figurescsv${sep}Recession"
cd "$maindir${sep}out${sep}$outfolder"

insheet using recession_moments_all_1990.csv
sort quartile year
foreach vv in year p5 p10 p25 p50 p75 p90 p95 np5 np10 np25 np50 np75 np90 np95  {
rename `vv' `vv'_90

}
by quartile: egen nyear=seq(), from(0)
gen rece_90=0
replace rece_90=1 if year_90>=1989 &year_90<=1991
save temp_90,replace

clear
insheet using recession_moments_all_1995.csv
sort quartile year
foreach vv in year p5 p10 p25 p50 p75 p90 p95 np5 np10 np25 np50 np75 np90 np95  {
rename `vv' `vv'_95

}
by quartile: egen nyear=seq(), from(0)
gen rece_95=0
replace rece_95=1 if year_95==2001 | year_95==2003
save temp_95,replace

clear
insheet using recession_moments_all_2008.csv
sort quartile year
foreach vv in year p5 p10 p25 p50 p75 p90 p95 np5 np10 np25 np50 np75 np90 np95  {
rename `vv' `vv'_08

}
by quartile: egen nyear=seq(), from(0)
gen rece_08=0
replace rece_08=1 if year_08==2008 | year_08==2009 |year_08==2015 | year_08==2016
save temp_08,replace

use temp_90,clear
merge 1:1 quartile nyear using temp_95
drop _merge
save recession_moments_all_merged_1990_1995,replace

use temp_95,clear
merge 1:1 quartile nyear using temp_08
drop _merge
save recession_moments_all_merged_1995_2008,replace

erase temp_90.dta
erase temp_95.dta
erase temp_08.dta
